.project-hero-meta-container {
    position: relative;
    width: 100%;
}

.project-hero-fixed {
    position: -webkit-sticky;
    position: relative;
    top: 0;
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 18.175rem;
    z-index: 1;
}

.hero-fixed-content {
    text-align: center;
    color: #FFFFFF;
    padding: 0 1rem;
}

.project-main-title {
    text-transform: uppercase;
    margin: 0 0 2.5rem 0;
}

.project-main-location {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.6rem 1.2rem;
    font-size: 1.5rem;
}
.project-main-location svg{
    stroke: var(--white);
}

.project-meta-cards-section {
    position: relative;
    width: 100%;
    z-index: 2; 
    padding-bottom: 5rem;
    margin-top: -15vh;
}

.project-cards-grid {
    display: grid;
    grid-template-columns: repeat(3, 28.4375rem); 
    gap: 4.0625rem; 
    justify-content: center; 
    align-items: center;
    width: 100%;
}


.meta-card-item {
    background-color: #FFFFFF;
    width: 28.4375rem;
    height: 28.8125rem;
    text-align: center;
    box-sizing: border-box;
    display: flex;
    transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1), box-shadow 0.4s ease;
    padding: 1.875rem;

}

.card-inner-content{
    text-align: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    width: 100%;
    height: 100%;
    border-top: 1px solid var(--bi-gray);
    border-bottom: 1px solid var(--bi-gray); 
}
.card-label {
    display: inline-flex;
    align-items: center;
    gap: 0.4rem;
    font-size: 1.5rem;
    color: #8E8A86;
    margin-bottom: 0.875rem;
}
.card-label svg{
    stroke: var(--bi-gray);
}
.card-value {
    font-size: 3rem;
    color: #000;
}


@media (max-width: 768px) {
    .project-main-title { font-size: 2.25rem; }
    
    .project-meta-cards-section {
        padding-bottom: 3rem;
    }

    .project-cards-grid {
        grid-template-columns: 1fr;
        gap: 0;
        padding: 0 1rem;
        align-items: start;
    }
    
    .meta-card-item {
        position: -webkit-sticky;
        position: sticky;
        width: 100%;
        height: auto;
        aspect-ratio: 1 / 1;
        padding: 1.5rem;
        background-color: #FFFFFF;
        top: calc(5rem * var(--card-index, 1)); 
        box-shadow: 0 -10px 30px rgba(0, 0, 0, 0.08); 
        margin-bottom: 5vh; 
    }

    .meta-card-item:last-child {
        margin-bottom: 0;
    }
    .card-label {
        font-size: 1.125rem;
    }
    .card-label svg{
        width: 1.25rem;
        height: 1.5625rem;
    }
    .card-value {
        font-size: 2rem;
    }
}